Package twisted :: Package python :: Module util :: Class OrderedDict |
[frames | no frames]

## Class OrderedDict

    UserDict --+
               |
              OrderedDict

A UserDict that preserves insert order whenever possible.

Method Summary
| `__init__(self, d)`
| `__delitem__(self, key)`
| `__repr__(self)`
| `__setitem__(self, key, value)`
| `copy(self)`
| `items(self)`
| `iteritems(self)`
| `iterkeys(self)`
| `itervalues(self)`
| `keys(self)`
| `popitem(self)`
| `setdefault(self, item, default)`
| `update(self, d)`
| `values(self)`
Inherited from UserDict
| `__cmp__(...)`
| `__contains__(...)`
| `__getitem__(...)`
| `__len__(...)`
| `clear(...)`
| `get(...)`
| `has_key(...)`

Generated by Epydoc 2.0 on Sat Oct 25 00:55:11 2003 | http://epydoc.sf.net